## gramps 4.2.3~dfsg

=== debian/changelog ===
gramps (4.2.3~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch
  * Update copyright file
  * Use secure Vcs URLs
  * Bump standards version, no changes required
  * Fixes gtk 3.20 issue (Closes: #821955)
  * Fixes float conversion issue with Geography view (Closes: #816855)
  * Patch appstream info to comply with latest specification (0.9)
  * Attempt to fix Reproducible Builds FTBFS by creating temporary $HOME
  * Switch Section to gnome to match ftp-master override

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 07 May 2016 23:03:08 +0200

=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: Ross Gammon <rossgammon@mail.dk>
Build-Depends-Indep:
 dh-python,
 gettext,
 intltool,
 libxml-parser-perl,
 python3-all,
 python3-setuptools,
 python3-nose,
 python3-nose-exclude,
 python3-django,
 gir1.2-gtk-3.0 (>= 3.10.0),
 python3-gi (>= 3.12.0),
 python3-gi-cairo,
 python3-bsddb3
Build-Depends:
 debhelper (>= 9.0.0)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gramps.git
Vcs-browser: https://anonscm.debian.org/cgit/collab-maint/gramps.git
Homepage: http://www.gramps-project.org/
X-Python3-Version: >= 3.2

Package: gramps
Architecture: all
Depends:
 gir1.2-gtk-3.0 (>= 3.10.0),
 librsvg2-2,
 python3-gi (>= 3.12.0),
 python3-gi-cairo,
 python3-bsddb3,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 graphviz,
 gir1.2-gexiv2-0.10,
 gir1.2-osmgpsmap-1.0,
 python3-icu
Suggests:
 fonts-freefont-ttf,
 gir1.2-goocanvas-2.0,
 gir1.2-gtkspell3-3.0,
 python3-pil,
 rcs
Conflicts:
 python-gramps,
 python3-gramps
Replaces:
 python-gramps,
 python3-gramps
Description: Genealogical research program
 GRAMPS is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 GRAMPS has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.

## gramps 4.2.4~dfsg

=== debian/changelog ===
gramps (4.2.4~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh gi-import-version.patch
  * Drop appstream patch, applied upstream
  * Use ubuntu email address

 -- Ross Gammon <rosco2@ubuntu.com>  Sun, 23 Oct 2016 19:59:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gramps
 Section: gnome
 Priority: optional
-Maintainer: Ross Gammon <rossgammon@mail.dk>
+Maintainer: Ross Gammon <rosco2@ubuntu.com>
 Build-Depends-Indep:
  dh-python,
  gettext,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v
export PYBUILD_NAME=gramps
export PYBUILD_INSTALL_ARGS_python3=--resourcepath=/usr/share --force

%:
	dh $@ --with python3 --buildsystem=pybuild

# Override auto test to enable node tests
override_dh_auto_test:
	HOME=$(CURDIR)/build \
	DJANGO_SETTINGS_MODULE=gramps.webapp.settings nosetests3 -vv \
	--exclude=TestcaseGenerator \
	--exclude=vcard \
	--exclude=merge_ref_test \
	--exclude=test3b_delete_tree_constraint \
	--exclude=test_consistent_with_DISPLAY_env \
	--exclude=test4_arbitrary_uncode_path \
	--exclude-dir=gramps/webapp

# Override of auto_install to remove information from package
override_dh_auto_install:
	dh_installchangelogs NEWS
	dh_auto_install
	# Remove install file as it is not needed by package users
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/INSTALL
	# Remove NEWS file as it is now installed as the changelog
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/NEWS
	#Remove duplicate license information
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/LICENSE
	#Remove license information in COPYING file & link to system license
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING
	ln -s /usr/share/common-licenses/GPL-2 $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING

# Fix clean target
override_dh_clean:
	rm -rf data/tips.xml
	rm -rf gramps/plugins/lib/holidays.xml
	rm -rf po/.intltool-merge-cache
	dh_clean

## gramps 4.2.5~dfsg

=== debian/changelog ===
gramps (4.2.5~dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable tests for jessie-backports

 -- Ross Gammon <rosco2@ubuntu.com>  Sat, 11 Feb 2017 19:40:47 +0100

gramps (4.2.5~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch, dropped some changes as applied upstream
  * Update patch header
  * Update copyrights
  * Update testsuite execution according to upstream Travis CI

 -- Ross Gammon <rosco2@ubuntu.com>  Mon, 09 Jan 2017 19:18:18 +0100

gramps (4.2.4~dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Ross Gammon <rosco2@ubuntu.com>  Sat, 05 Nov 2016 18:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
  python3-all,
  python3-setuptools,
  python3-nose,
- python3-nose-exclude,
- python3-django,
  gir1.2-gtk-3.0 (>= 3.10.0),
  python3-gi (>= 3.12.0),
  python3-gi-cairo,
@@ -19,7 +17,7 @@
 Build-Depends:
  debhelper (>= 9.0.0)
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gramps.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gramps.git -b jessie-backports
 Vcs-browser: https://anonscm.debian.org/cgit/collab-maint/gramps.git
 Homepage: http://www.gramps-project.org/
 X-Python3-Version: >= 3.2
@@ -53,10 +51,10 @@
  python-gramps,
  python3-gramps
 Description: Genealogical research program
- GRAMPS is an Open Source genealogy program written in Python, using
+ Gramps is an Open Source genealogy program written in Python, using
  the GTK/GNOME interface. It is an extremely flexible program fitting
  the needs for both the amateur genealogist and serious genealogical
  researcher.
- GRAMPS has the ability to import GEDCOM files exported from many
+ Gramps has the ability to import GEDCOM files exported from many
  proprietary genealogy programs and can produce a large number of
  reports in many popular formats.

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,16 @@
 # Override auto test to enable node tests
 override_dh_auto_test:
 	HOME=$(CURDIR)/build \
-	DJANGO_SETTINGS_MODULE=gramps.webapp.settings nosetests3 -vv \
+	nosetests3 -vv \
 	--exclude=TestcaseGenerator \
 	--exclude=vcard \
 	--exclude=merge_ref_test \
 	--exclude=test3b_delete_tree_constraint \
 	--exclude=test_consistent_with_DISPLAY_env \
 	--exclude=test4_arbitrary_uncode_path \
-	--exclude-dir=gramps/webapp
+	--exclude=user_test \
+	--exclude=webapp \
+	gramps
 
 # Override of auto_install to remove information from package
 override_dh_auto_install:

## gramps 4.2.6~dfsg

=== debian/changelog ===
gramps (4.2.6~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update copyright year for one file
  * Update URLs, thanks duck!
  * Bump standards version, switched to secure copyright format URL

 -- Ross Gammon <rosco2@ubuntu.com>  Tue, 01 Aug 2017 20:21:12 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
  python3-bsddb3
 Build-Depends:
  debhelper (>= 9.0.0)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gramps.git -b jessie-backports
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gramps.git
 Vcs-browser: https://anonscm.debian.org/cgit/collab-maint/gramps.git
-Homepage: http://www.gramps-project.org/
+Homepage: https://www.gramps-project.org/
 X-Python3-Version: >= 3.2
 
 Package: gramps

## gramps 4.2.8~dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = GRAMPS_RESOURCES=$$PWD/.. sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Gramps.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Gramps.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== gramps/webapp/Makefile ===
# Initialize GRAMPS Django site

PYTHON=GRAMPS_RESOURCES=../.. PYTHONPATH=../.. python3

update: grampsdb/fixtures/initial_data.json
	$(PYTHON) manage.py syncdb --noinput
	$(PYTHON) manage.py createsuperuser --username=admin --email=bugs@gramps-project.org
	$(PYTHON) manage.py createsuperuser --username=admin1 --email=bugs@gramps-project.org

grampsdb/fixtures/initial_data.json: init.py
	mkdir -p grampsdb/fixtures
	$(PYTHON) init.py > grampsdb/fixtures/initial_data.json

init_gramps:
	$(PYTHON) init_gramps.py # clear primary and secondary tables

run:
	$(PYTHON) manage.py runserver

sql:
	$(PYTHON) manage.py sqlall > gramps-sql.sql

dump:
	echo ".dump" | sqlite3 sqlite.db > gramps-data.sql

load:
	sqlite3 sqlite.db < gramps-data.sql

superusers:
	$(PYTHON) manage.py createsuperuser --username=admin --email=bugs@gramps-project.org
	$(PYTHON) manage.py createsuperuser --username=admin1 --email=bugs@gramps-project.org

backup:
	$(PYTHON) manage.py dumpdata > backup.json

restore: empty
	$(PYTHON) manage.py loaddata backup.json

initial_data: 
	$(PYTHON) manage.py loaddata grampsdb/fixtures/initial_data.json

docs:
	mkdir -p docs
	$(PYTHON) graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note -o docs/primary-tables.png
	$(PYTHON) graph_models grampsdb -i Note -o docs/note-table.png
	$(PYTHON) graph_models grampsdb -i Media -o docs/media-table.png
	$(PYTHON) graph_models grampsdb -i Place -o docs/place-table.png
	$(PYTHON) graph_models grampsdb -i Repository -o docs/repository-table.png
	$(PYTHON) graph_models grampsdb -i Event -o docs/event-table.png
	$(PYTHON) graph_models grampsdb -i Source -o docs/source-table.png
	$(PYTHON) graph_models grampsdb -i Family -o docs/family-table.png
	$(PYTHON) graph_models grampsdb -i Person -o docs/person-table.png
	$(PYTHON) graph_models grampsdb -o docs/all-tables.png
	$(PYTHON) graph_models grampsdb -i Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/secondary-tables.png
	$(PYTHON) graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/prim-sec-tables.png
	$(PYTHON) graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/prim-sec-tables.png
	$(PYTHON) graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url,NoteRef,SourceRef,EventRef,RepositoryRef,PersonRef,ChildRef,MediaRef -o docs/prim-sec-ref-tables.png

make-empty:
	echo ".dump" | sqlite3 sqlite.db > empty.sql

empty:
	rm -f sqlite.db
	sqlite3 sqlite.db < empty.sql

example:
	rm -f sqlite.db
	sqlite3 sqlite.db < example.sql

clean:
	rm -f sqlite.db
	rm -f *~ *.pyc *.pyo
	rm -f grampsdb/fixtures/initial_data.json

=== debian/changelog ===
gramps (4.2.8~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Switch to debhelper version 11
  * Use Debian email address
  * Update upstream copyrights
  * Bump standards version, no changes required
  * Move Vcs from Alioth to Salsa

 -- Ross Gammon <rossgammon@debian.org>  Sat, 10 Feb 2018 09:28:04 +0100

gramps (4.2.6~dfsg-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports.
  * Use Debian email address

 -- Ross Gammon <rossgammon@debian.org>  Sat, 19 Aug 2017 14:52:43 +0200

gramps (4.2.6~dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update branch in gbp.conf & Vcs-Git URL

 -- Ross Gammon <rossgammon@debian.org>  Sat, 19 Aug 2017 12:32:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gramps
 Section: gnome
 Priority: optional
-Maintainer: Ross Gammon <rosco2@ubuntu.com>
+Maintainer: Ross Gammon <rossgammon@debian.org>
 Build-Depends-Indep:
  dh-python,
  gettext,
@@ -15,10 +15,10 @@
  python3-gi-cairo,
  python3-bsddb3
 Build-Depends:
- debhelper (>= 9.0.0)
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gramps.git
-Vcs-browser: https://anonscm.debian.org/cgit/collab-maint/gramps.git
+ debhelper (>= 11)
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/gramps.git
+Vcs-browser: https://salsa.debian.org/debian/gramps
 Homepage: https://www.gramps-project.org/
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,6 @@
 	--exclude=TestcaseGenerator \
 	--exclude=vcard \
 	--exclude=merge_ref_test \
-	--exclude=test3b_delete_tree_constraint \
-	--exclude=test_consistent_with_DISPLAY_env \
 	--exclude=test4_arbitrary_uncode_path \
 	--exclude=user_test \
 	--exclude=webapp \

## gramps 5.0.0

=== debian/changelog ===
gramps (5.0.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Oct 2018 11:07:37 -0700

gramps (5.0.0-1) unstable; urgency=medium

  * New upstream release, move 5.0 series to unstable
  * Drop X-Python3-Version as really only necessary for modules
  * Bump standards version, no changes required

 -- Ross Gammon <rossgammon@debian.org>  Thu, 26 Jul 2018 20:00:29 +0200

gramps (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate, do not use with important data
  * Drop gi-import-version patch, applied upstream
  * Update copyright holders
  * Javascript removed upstream, no need to exclude from tarball
    (Closes: #749775)
  * Add optional dependency of numpy for the Pedigree Chart addon
  * Update tests & build dpendencies, to match upstream
  * Exclude failing tests
  * No need to remove INSTALL file, no longer installed
  * Remove licenses no longer used and update copyright year for me
  * Add note about DB-API BAckend to README.Debian
  * Update supported Python version, 3.2 is old-old-stable
  * Bump standards version, no changes required
  * Fix watchfile to find pre-releases on github
  * Tidy syntax for Vcs Browser stanza
  * Clean holiday.xml so package builds twice

 -- Ross Gammon <rossgammon@debian.org>  Thu, 05 Jul 2018 18:51:10 +0200

gramps (4.2.8~dfsg-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
  * Switch back to compat 9 for backports

 -- Ross Gammon <rossgammon@debian.org>  Mon, 19 Mar 2018 19:37:42 +0100

gramps (4.2.8~dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Switch back to compat 10 for backports

 -- Ross Gammon <rossgammon@debian.org>  Sun, 18 Mar 2018 22:06:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gramps
 Section: gnome
 Priority: optional
-Maintainer: Ross Gammon <rossgammon@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Ross Gammon <rossgammon@debian.org>
 Build-Depends-Indep:
  dh-python,
  gettext,
@@ -13,14 +14,18 @@
  gir1.2-gtk-3.0 (>= 3.10.0),
  python3-gi (>= 3.12.0),
  python3-gi-cairo,
- python3-bsddb3
+ python3-bsddb3,
+ python3-lxml,
+ python3-jsonschema,
+ python3-mock,
+ python3-icu,
+ python3-nose-exclude
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.1.3
+ debhelper (>= 10)
+Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/debian/gramps.git
-Vcs-browser: https://salsa.debian.org/debian/gramps
+Vcs-Browser: https://salsa.debian.org/debian/gramps
 Homepage: https://www.gramps-project.org/
-X-Python3-Version: >= 3.2
 
 Package: gramps
 Architecture: all
@@ -32,8 +37,7 @@
  python3-bsddb3,
  xdg-utils,
  ${misc:Depends},
- ${python3:Depends}
-Recommends:
+ ${python3:Depends},
  graphviz,
  gir1.2-gexiv2-0.10,
  gir1.2-osmgpsmap-1.0,
@@ -43,7 +47,8 @@
  gir1.2-goocanvas-2.0,
  gir1.2-gtkspell3-3.0,
  python3-pil,
- rcs
+ rcs,
+ python3-numpy
 Conflicts:
  python-gramps,
  python3-gramps

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,9 @@
 	HOME=$(CURDIR)/build \
 	nosetests3 -vv \
 	--exclude=TestcaseGenerator \
-	--exclude=vcard \
-	--exclude=merge_ref_test \
+	--exclude=test_tcg_and_check_and_repair \
 	--exclude=test4_arbitrary_uncode_path \
-	--exclude=user_test \
-	--exclude=webapp \
+	--exclude-dir=gramps/plugins/test/ \
 	gramps
 
 # Override of auto_install to remove information from package
@@ -29,8 +27,6 @@
 	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/INSTALL
 	# Remove NEWS file as it is now installed as the changelog
 	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/NEWS
-	#Remove duplicate license information
-	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/LICENSE
 	#Remove license information in COPYING file & link to system license
 	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING
 	ln -s /usr/share/common-licenses/GPL-2 $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING

## gramps 5.0.1

=== debian/changelog ===
gramps (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Update copyrights
  * Check for nocheck with DEB_BUILD_OPTIONS in debian/rules
  * Bump standards version, no changes required
  * Add a gitlab-ci.yml file for Salsa CI testing

 -- Ross Gammon <rossgammon@debian.org>  Fri, 28 Dec 2018 17:19:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gramps
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Ross Gammon <rossgammon@debian.org>
+Maintainer: Ross Gammon <rossgammon@debian.org>
 Build-Depends-Indep:
  dh-python,
  gettext,
@@ -21,8 +20,8 @@
  python3-icu,
  python3-nose-exclude
 Build-Depends:
- debhelper (>= 10)
-Standards-Version: 4.1.5
+ debhelper (>= 11)
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/gramps.git
 Vcs-Browser: https://salsa.debian.org/debian/gramps
 Homepage: https://www.gramps-project.org/
@@ -37,7 +36,8 @@
  python3-bsddb3,
  xdg-utils,
  ${misc:Depends},
- ${python3:Depends},
+ ${python3:Depends}
+Recommends:
  graphviz,
  gir1.2-gexiv2-0.10,
  gir1.2-osmgpsmap-1.0,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 # Override auto test to enable node tests
 override_dh_auto_test:
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	HOME=$(CURDIR)/build \
 	nosetests3 -vv \
 	--exclude=TestcaseGenerator \
@@ -18,6 +19,7 @@
 	--exclude=test4_arbitrary_uncode_path \
 	--exclude-dir=gramps/plugins/test/ \
 	gramps
+endif
 
 # Override of auto_install to remove information from package
 override_dh_auto_install:

## gramps 5.1.1

=== debian/changelog ===
gramps (5.1.1-1) unstable; urgency=medium

  * New upstream release
  * Merge changelog entry from stretch-backports
  * Update copyright
  * Bump gtk+ version to 3.12 & add gir1.2-geocodeglib-1.0 to Recommends
  * Exclude examples from compression (Closes: #921544)
  * Updated gitlab-ci.yml to latest syntax
  * Update autopkgtest now example files are uncompressed
  * Turn on vervose build options
  * Bump standards version, no changes required

 -- Ross Gammon <rossgammon@debian.org>  Fri, 29 Nov 2019 17:35:29 +0100

gramps (5.0.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Update debian/gitlab-ci.yml to build for stretch-backports

 -- Ross Gammon <rossgammon@debian.org>  Thu, 03 Jan 2019 20:02:31 +0100

## gramps 5.1.2

=== debian/changelog ===
gramps (5.1.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Ross Gammon <rossgammon@debian.org>  Sun, 26 Jan 2020 15:51:18 +0100

gramps (5.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Ross Gammon <rossgammon@debian.org>  Wed, 15 Jan 2020 21:12:27 +0100

gramps (5.1.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update branch in gbp.conf & Vcs-Git URL for backports

 -- Ross Gammon <rossgammon@debian.org>  Fri, 27 Dec 2019 19:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-setuptools,
  python3-nose,
- gir1.2-gtk-3.0 (>= 3.10.0),
+ gir1.2-gtk-3.0 (>= 3.12.0),
  python3-gi (>= 3.12.0),
  python3-gi-cairo,
  python3-bsddb3,
@@ -21,15 +21,15 @@
  python3-nose-exclude
 Build-Depends:
  debhelper (>= 11)
-Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/debian/gramps.git
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/debian/gramps.git -b buster-backports
 Vcs-Browser: https://salsa.debian.org/debian/gramps
 Homepage: https://www.gramps-project.org/
 
 Package: gramps
 Architecture: all
 Depends:
- gir1.2-gtk-3.0 (>= 3.10.0),
+ gir1.2-gtk-3.0 (>= 3.12.0),
  librsvg2-2,
  python3-gi (>= 3.12.0),
  python3-gi-cairo,
@@ -41,7 +41,8 @@
  graphviz,
  gir1.2-gexiv2-0.10,
  gir1.2-osmgpsmap-1.0,
- python3-icu
+ python3-icu,
+ gir1.2-geocodeglib-1.0
 Suggests:
  fonts-freefont-ttf,
  gir1.2-goocanvas-2.0,

## gramps 5.1.3

=== debian/changelog ===
gramps (5.1.3-1) unstable; urgency=medium

  * New upstream release
  * Fixes crash with plugins (Closes: #962045)
  * Take backport changelog entries from buster-backports branch
  * Update debian/copyright
  * Move to debhelper compat level 13, & drop compat file
  * Bump standards version, no changes required

 -- Ross Gammon <rossgammon@debian.org>  Sat, 22 Aug 2020 20:55:30 +0200

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,9 @@
  python3-icu,
  python3-nose-exclude
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/debian/gramps.git -b buster-backports
+ debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/gramps.git
 Vcs-Browser: https://salsa.debian.org/debian/gramps
 Homepage: https://www.gramps-project.org/

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-#export DH_OPTIONS=-v
+# Turn on verbose mode.
+export DH_VERBOSE=1
+export DH_OPTIONS=-v
+
 export PYBUILD_NAME=gramps
 export PYBUILD_INSTALL_ARGS_python3=--resourcepath=/usr/share --force
 
@@ -39,3 +40,7 @@
 	rm -rf gramps/plugins/lib/holidays.xml
 	rm -rf po/.intltool-merge-cache
 	dh_clean
+
+# Don't compress example files
+override_dh_compress:
+	dh_compress -X sample.ged -X data.gramps -X example.gramps

## gramps 5.1.4

=== debian/changelog ===
gramps (5.1.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the old gramps.xpm icon

  [ Ross Gammon ]
  * New upstream release
  * Fixes Dutch translation (Closes: #979525)
  * Fixes Python 3.8 deprecation warnings (Closes: #970140),
    (LP: #1917975)
  * Update copyright file
  * Fix probably-alive text failure with patch
  * Bump standards version, no changes required
  * Install a higher resolution icon for Appstream

 -- Ross Gammon <rossgammon@debian.org>  Sun, 05 Dec 2021 21:56:40 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-nose-exclude
 Build-Depends:
  debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/gramps.git
 Vcs-Browser: https://salsa.debian.org/debian/gramps
 Homepage: https://www.gramps-project.org/

## gramps 5.1.5

=== debian/changelog ===
gramps (5.1.5-1ubuntu1) kinetic; urgency=medium

  [ IOhannes m zmölnig ]
  * d/rules: make blhc ignore some false-positives
  * [ci] re-enable blhc
  * skip broken dir-tests
  * [ci] re-enable reprotest
  * Patch to skip some tests if system language is not English

  [ Ross Gammon ]
  * Refresh patches, drop skip_language patch and try upstream fix instead.
  * Update patch description and switch to upstream patch

  [ Jeremy Bicha ]
  * Add patch to switch to geocode-glib-2.0
  * debian/control: Update gir1.2-geocode-glib-2.0 Recommends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 29 Aug 2022 19:38:19 -0400

gramps (5.1.5-1) unstable; urgency=medium

  * New upstream release
  * Drop patch, applied upstream
  * Allow gitlab-ci blhc test to fail, false positive
  * Temporarily skip reprotest in CI
  * Drop deprecated Homepage field from upstream metadata

 -- Ross Gammon <rossgammon@debian.org>  Tue, 22 Feb 2022 21:53:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gramps
 Section: gnome
 Priority: optional
-Maintainer: Ross Gammon <rossgammon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ross Gammon <rossgammon@debian.org>
 Build-Depends-Indep:
  dh-python,
  gettext,
@@ -42,7 +43,7 @@
  gir1.2-gexiv2-0.10,
  gir1.2-osmgpsmap-1.0,
  python3-icu,
- gir1.2-geocodeglib-1.0
+ gir1.2-geocodeglib-2.0
 Suggests:
  fonts-freefont-ttf,
  gir1.2-goocanvas-2.0,

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
 	gramps
 endif
 
+execute_before_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: ^.*Compiling\\s+po/\\S+\\.po\\s.*"
+	@echo "blhc: ignore-line-regexp: ^.*Compiling\\s+data/\\S+\\.in\\s.*"
+
 # Override of auto_install to remove information from package
 override_dh_auto_install:
 	dh_installchangelogs NEWS

## gramps 5.1.6+dfsg

=== debian/changelog ===
gramps (5.1.6+dfsg-1ubuntu1) noble; urgency=medium

  * Apply patches to fix FTBFS with Python 3.12 (Closes: #1061743)

 -- Ross Gammon <rosco2@ubuntu.com>  Thu, 14 Mar 2024 21:09:56 +0100

gramps (5.1.6+dfsg-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * d/rules: make blhc ignore some false-positives
  * [ci] re-enable blhc
  * skip broken dir-tests
  * [ci] re-enable reprotest

  [ Ross Gammon ]
  * Apply upstream commit to fix failing test due to non-English locale.
  * Switch from nose to unittest (Closes: #1018371).
  * New upstream release.
  * Refresh patches.
  * Update copyright years.
  * Mark deletetree_test patch as applied upstream
  * Patch to delete failing import test
  * Delete old NEWS file, it no longer contains news.
  * Repack tarball to remove webstuff index.html file
  * Update changelog version after repack
  * Fix patch series file by reinstating new line
  * Add patch to skip test thatfails during second build
  * Fix spelling error in copyright file

  [ Jeremy Bicha ]
  * Add patch to switch to geocode-glib-2.0
  * debian/control: Update gir1.2-geocode-glib-2.0 Recommends

 -- Ross Gammon <rossgammon@debian.org>  Wed, 11 Oct 2023 20:56:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gramps
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ross Gammon <rossgammon@debian.org>
+Maintainer: Ross Gammon <rossgammon@debian.org>
 Build-Depends-Indep:
  dh-python,
  gettext,
@@ -10,7 +9,6 @@
  libxml-parser-perl,
  python3-all,
  python3-setuptools,
- python3-nose,
  gir1.2-gtk-3.0 (>= 3.12.0),
  python3-gi (>= 3.12.0),
  python3-gi-cairo,
@@ -19,7 +17,6 @@
  python3-jsonschema,
  python3-mock,
  python3-icu,
- python3-nose-exclude
 Build-Depends:
  debhelper-compat (= 13)
 Standards-Version: 4.6.0

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,11 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-# Override auto test to enable node tests
+# Override auto_test to set HOME to find Gramps resources
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	HOME=$(CURDIR)/build \
-	nosetests3 -vv \
-	--exclude=TestcaseGenerator \
-	--exclude=test_tcg_and_check_and_repair \
-	--exclude=test4_arbitrary_uncode_path \
-	--exclude-dir=gramps/plugins/test/ \
-	gramps
+	python3 setup.py --verbose test
 endif
 
 execute_before_dh_auto_build:

## gramps 5.2.2+dfsg

=== debian/changelog ===
gramps (5.2.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's consent.

  [ Alexandre Detiste ]
  * Remove build-dep on on python3-mock

  [ Ross Gammon ]
  * New upstream version 5.2.0
  * Drop patches applied upstream
  * Update copyright holders
  * Refresh patches and update patch headers

  [ Dr. Tobias Quathamer ]
  * New upstream version 5.2.2+dfsg
    This fixes a FTBFS with python 3.12. Closes: #1061743
  * Refresh patch to drop failing import test
  * Add new patch to set ResourcePath correctly
  * Update Standards-Version to 4.7.0, no changes needed
  * Update icon name for .desktop file
  * Do not use --verbose option for testing. Otherwise, the build log
    is huge (430 MB).

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Make sure that ~/.gramps exist when running upstream testsuite

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 10 Jun 2024 20:48:32 +0200

## gramps 5.2.3+dfsg

=== debian/changelog ===
gramps (5.2.3+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Oct 2024 09:11:01 -0700

=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ross Gammon <rossgammon@debian.org>
Build-Depends-Indep: dh-python,
                     gettext,
                     gir1.2-gtk-3.0 (>= 3.12.0),
                     intltool,
                     libxml-parser-perl,
                     python3-all,
                     python3-bsddb3,
                     python3-gi (>= 3.12.0),
                     python3-gi-cairo,
                     python3-icu,
                     python3-jsonschema,
                     python3-lxml,
                     python3-setuptools
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/gramps.git
Vcs-Browser: https://salsa.debian.org/debian/gramps
Homepage: https://www.gramps-project.org/

Package: gramps
Architecture: all
Depends: gir1.2-gtk-3.0 (>= 3.12.0),
         librsvg2-2,
         python3-bsddb3,
         python3-gi (>= 3.12.0),
         python3-gi-cairo,
         xdg-utils,
         ${misc:Depends},
         ${python3:Depends},
            gir1.2-geocodeglib-2.0,
            gir1.2-gexiv2-0.10,
            gir1.2-osmgpsmap-1.0,
            graphviz,
            python3-icu
# Recommends: gir1.2-geocodeglib-2.0,
#            gir1.2-gexiv2-0.10,
#            gir1.2-osmgpsmap-1.0,
#            graphviz,
#            python3-icu
Suggests: fonts-freefont-ttf,
          gir1.2-goocanvas-2.0,
          gir1.2-gtkspell3-3.0,
          python3-numpy,
          python3-pil,
          rcs
Conflicts: python-gramps, python3-gramps
Replaces: python-gramps, python3-gramps
Description: Genealogical research program
 Gramps is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 Gramps has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.

## gramps 5.2.4+dfsg

=== debian/changelog ===
gramps (5.2.4+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 5.2.4+dfsg
    - Remove patch, applied upstream
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 Jan 2025 19:59:38 +0100

gramps (5.2.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 5.2.3+dfsg
    - Fix FTBFS with Python 3.13 (Closes: #1092516)
    - Fix unittest and make the build reproducible
  * Fix typo in changelog
  * Document forwarded patch
  * Use bug URL for DEP-3 'Forwarded' field

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 11 Jan 2025 23:48:07 +0100

=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: Ross Gammon <rossgammon@debian.org>
Build-Depends-Indep:
 dh-python,
 gettext,
 intltool,
 libxml-parser-perl,
 python3-all,
 python3-setuptools,
 gir1.2-gtk-3.0 (>= 3.12.0),
 python3-gi (>= 3.12.0),
 python3-gi-cairo,
 python3-bsddb3,
 python3-lxml,
 python3-jsonschema,
 python3-icu,
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/gramps.git
Vcs-Browser: https://salsa.debian.org/debian/gramps
Homepage: https://www.gramps-project.org/

Package: gramps
Architecture: all
Depends:
 gir1.2-gtk-3.0 (>= 3.12.0),
 librsvg2-2,
 python3-gi (>= 3.12.0),
 python3-gi-cairo,
 python3-bsddb3,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 graphviz,
 gir1.2-gexiv2-0.10,
 gir1.2-osmgpsmap-1.0,
 python3-icu,
 gir1.2-geocodeglib-2.0
Suggests:
 fonts-freefont-ttf,
 gir1.2-goocanvas-2.0,
 gir1.2-gtkspell3-3.0,
 python3-pil,
 rcs,
 python3-numpy
Conflicts:
 python-gramps,
 python3-gramps
Replaces:
 python-gramps,
 python3-gramps
Description: Genealogical research program
 Gramps is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 Gramps has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DH_OPTIONS=-v
 
 export PYBUILD_NAME=gramps
-export PYBUILD_INSTALL_ARGS_python3=--resourcepath=/usr/share --force
+# export PYBUILD_INSTALL_ARGS_python3=--resourcepath=/usr/share --force
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -13,8 +13,9 @@
 # Override auto_test to set HOME to find Gramps resources
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	mkdir -p "$(CURDIR)/build/.gramps"
 	HOME=$(CURDIR)/build \
-	python3 setup.py --verbose test
+	python3 setup.py test
 endif
 
 execute_before_dh_auto_build:

=== debian/watch ===
version=3

opts=\
dversionmangle=s/(\~|\+)(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gramps-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
repacksuffix=+dfsg \
https://github.com/gramps-project/gramps/tags \
.*/v?(\d\S+)\.tar\.gz

## gramps 6.0.1+dfsg

=== debian/changelog ===
gramps (6.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 6.0.1+dfsg
  * Don't remove tips.xml (Closes: #1101773)
  * Update copyright file
  * Bump standards version to 4.7.2, no changes needed

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Apr 2025 21:30:00 +0200

gramps (6.0.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 6.0.0+dfsg
    - Remove patches which have been applied upstream.
    - Add python3-orjson to Build-Depends
  * Run wrap-and-sort -astkb
  * Update Standards-Version to 4.7.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 29 Mar 2025 15:55:40 +0100

=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: Ross Gammon <rossgammon@debian.org>
Build-Depends-Indep:
 dh-python,
 gettext,
 gir1.2-gtk-3.0 (>= 3.12.0),
 intltool,
 libxml-parser-perl,
 python3-all,
 python3-bsddb3,
 python3-gi (>= 3.12.0),
 python3-gi-cairo,
 python3-icu,
 python3-jsonschema,
 python3-lxml,
 python3-orjson,
 python3-setuptools,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/gramps.git
Vcs-Browser: https://salsa.debian.org/debian/gramps
Homepage: https://www.gramps-project.org/

Package: gramps
Architecture: all
Depends:
 gir1.2-gtk-3.0 (>= 3.12.0),
 librsvg2-2,
 python3-bsddb3,
 python3-gi (>= 3.12.0),
 python3-gi-cairo,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gir1.2-geocodeglib-2.0,
 gir1.2-gexiv2-0.10,
 gir1.2-osmgpsmap-1.0,
 graphviz,
 python3-icu,
Suggests:
 fonts-freefont-ttf,
 gir1.2-goocanvas-2.0,
 gir1.2-gtkspell3-3.0,
 python3-numpy,
 python3-pil,
 rcs,
Conflicts:
 python-gramps,
 python3-gramps,
Replaces:
 python-gramps,
 python3-gramps,
Description: Genealogical research program
 Gramps is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 Gramps has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.

## gramps 6.0.5%2Bdfsg

=== debian/changelog ===
gramps (6.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version 6.0.5+dfsg

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Move dh-python and python-setuptools to the unqualified B-Ds
  * Update copyright information
    + Update copyrights
    + fix non-ASCII chars in copyright holders
  * Add myself to the Uploaders for now

  [ Bastian Germann ]
  * Drop optional python3-bsddb3 (to be removed)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Oct 2025 12:48:52 +0200

## gramps 6.0.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Section: gnome
 Priority: optional
 Maintainer: Ross Gammon <rossgammon@debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends-Indep:
- dh-python,
  gettext,
  gir1.2-gtk-3.0 (>= 3.12.0),
  intltool,
  libxml-parser-perl,
  python3-all,
- python3-bsddb3,
  python3-gi (>= 3.12.0),
  python3-gi-cairo,
  python3-icu,
  python3-jsonschema,
  python3-lxml,
  python3-orjson,
- python3-setuptools,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
+ python3-setuptools,
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/gramps.git
 Vcs-Browser: https://salsa.debian.org/debian/gramps
@@ -29,7 +30,6 @@
 Depends:
  gir1.2-gtk-3.0 (>= 3.12.0),
  librsvg2-2,
- python3-bsddb3,
  python3-gi (>= 3.12.0),
  python3-gi-cairo,
  xdg-utils,

=== debian/tests/control ===
Tests:
 gramps-import-export,
Depends:
 gramps,
 gzip,
Restrictions:
 allow-stderr,
